OGRE: Ogre::Volume::DualGridGenerator Class Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::Volume::DualGridGenerator Class Reference
Optional Components » Volume

Class for the generation of the DualGrid. More...

`#include <OgreVolumeDualGridGenerator.h>`

Inheritance diagram for Ogre::Volume::DualGridGenerator:
[legend]

## Public Member Functions
| DualGridGenerator (void)
| Constructor.
void | generateDualGrid (const OctreeNode *root, IsoSurface *is, MeshBuilder *mb, Real maxMSDistance, const Vector3 &totalFrom, const Vector3 &totalTo, bool saveDualCells)
| Generates the dualgrid of the given octree root node.
DualCell | getDualCell (size_t i) const
| Gets a dual cell.
size_t | getDualCellCount (void) const
| Gets the amount of generated dual cells.
Entity * | getDualGrid (SceneManager *sceneManager)
| Gets the lazily created entity of the dualgrid debug visualization.

## Detailed Description

Class for the generation of the DualGrid.

## Constructor & Destructor Documentation

## ◆ DualGridGenerator()

Ogre::Volume::DualGridGenerator::DualGridGenerator | ( | void |  | ) |

Constructor.

## Member Function Documentation

## ◆ generateDualGrid()

void Ogre::Volume::DualGridGenerator::generateDualGrid | ( | const OctreeNode * | root,
|  | IsoSurface * | is,
|  | MeshBuilder * | mb,
|  | Real | maxMSDistance,
|  | const Vector3 & | totalFrom,
|  | const Vector3 & | totalTo,
|  | bool | saveDualCells )

Generates the dualgrid of the given octree root node.

Parameters

  root | The octree root node.
  is | To contour the dualcells.
  mb | To store the triangles of the contour.
  maxMSDistance | The maximum distance to the isosurface where to generate skirts.
  totalFrom | The global from.
  totalTo | The global to.
  saveDualCells | Whether to save the generated dualcells of the generated dual cells.

## ◆ getDualGrid()

Entity * Ogre::Volume::DualGridGenerator::getDualGrid | ( | SceneManager * | sceneManager | ) |

Gets the lazily created entity of the dualgrid debug visualization.

Parameters

  sceneManager | The scenemanager creating the entity.

Returns
  The entity. Might be null if no dualcells are available.

## ◆ getDualCellCount()

size_t Ogre::Volume::DualGridGenerator::getDualCellCount | ( | void |  | ) | const
| inline

Gets the amount of generated dual cells.

Returns
  The amount of generated dual cells.

## ◆ getDualCell()

DualCell Ogre::Volume::DualGridGenerator::getDualCell | ( | size_t | i | ) | const
| inline

Gets a dual cell.

Parameters

  i | The index of the wanted dual cell.

Returns
  The dual cell.

The documentation for this class was generated from the following file:

- OgreVolumeDualGridGenerator.h